//
//  IntervalRec.m
//  Komadori
//
//  Created by AIG-Soft on 11/04/12.
//  Copyright 2011 AIG-Soft. All rights reserved.
//

#import "IntervalRec.h"
#import "libs.h"
#import "Setup.h"

@implementation IntervalRec

//--------------------------------------
// 録画間隔タイマーを使った処理
//--------------------------------------

-(void)stop
{
	printSelf();
	if (intervalTimer != nil)  {
		[intervalTimer invalidate];
		intervalTimer = nil;
		nslog(@"intervalTimer off");
	}
}

// 呼び出し源は、コンスタントの時はタイマー、アラームの時はアラーム源
// tm=インターバル
// リターン値：YES=常時録画あり , NO=なし
-(BOOL)start:(NSTimeInterval)tm
{
	nslog(@"startIntervalRec:%f",tm);
	
	// 前のタイマーがあるときはそれを止める
	[self stop];
	// 次のインターバルを設定する
	if (tm==None) {
		// その録画＝OFFのときはタイマーを止めるだけ
		nslog(@"インターバル=Noneなので、タイマーを止めるだけ");
		return(NO);
	}
	// tm>0.0
	intervalTimer=[NSTimer timerWithTimeInterval:tm
										  target:target_
										selector:selector_
										userInfo:nil
										 repeats:YES // 繰り返し
				   ];
	AddTimerToRunLoop(intervalTimer); // 実行ループにタイマーを追加する
	return (YES);
}

-(id)initWithTarget:(id)target selector:(SEL)selector
{
	self=[super init];
	if (self!=nil) {
		target_	 = target;
		selector_= selector;
	}
	return (self);
}

-(void)dealloc
{
	[self stop];
}

@end
